using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VIZ.Package.Domain;
using VIZ.Package.Plugin;

namespace VIZ.Package.TestPlugin
{
    /// <summary>
    /// 测试页插件生命周期
    /// </summary>
    public class TestPagePluginLifeCycle : IPluginLifeCycle
    {
        /// <summary>
        /// 注册
        /// </summary>
        /// <returns>插件信息</returns>
        public PluginInfo Register()
        {
            PluginInfo info = new PluginInfo();
            info.ID = "TestPagePlugin";
            info.Name = "测试页插件";
            info.Group = "测试";
            info.PluginType = PluginType.Page;
            info.ViewType = typeof(TestPageView);

            return info;
        }

        /// <summary>
        /// 销毁
        /// </summary>
        public void Dispose()
        {

        }
    }
}
